Package edu.msu.cme.rdp.classifier.comparison

# Class ComparisonBrowserBean

java.lang.Object
edu.msu.cme.rdp.classifier.comparison.ComparisonBrowserBean

public class ComparisonBrowserBean extends Object

## Constructor Summary

Constructors
Constructor
Description
`ComparisonBrowserBean(String hver, String cver)`

## Method Summary

Modifier and Type
Method
Description
`Iterator`
`getChildTaxonList()`
`String`
`getClassifierVersion()`
`String`
`getConfidence()`
`ComparisonBrowserNode`
`getCurrentBrowserRoot()`
`static float`
`getDefaultConfidence()`
`String`
`getDepth()`
`Iterator`
`getDetailList()`
`int`
`getDetailListSize()`
`float`
`getFloatConfidence()`
`Iterator`
`getHierarchyTaxonList()`
`String`
`getHierarchyVersion()`
`Iterator`
`getLineageList()`
`String`
`getS1Filename()`
`int`
`getS1Total()`
`String`
`getS2Filename()`
`int`
`getS2Total()`
`static int`
`getSeqCountLimit()`
`int`
`getSeqErrorCount()`
`Iterator`
`getSeqErrorList()`
`Date`
`getSubmitDate()`
`Iterator`
`getTabularTaxonList()`
`void`
`setConfidence(String confidenceStr)`
`void`
`setCurrentRoot(String tax)`
`void`
`setDepth(String depthStr)`
`void`
`setRoot(ComparisonBrowserNode root)`
`void`
`setSeqErrorList(List errorList)`
`void`
`setSubmitDate(Date date)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ComparisonBrowserBean

public ComparisonBrowserBean(String hver, String cver)

## Method Details

### getSeqCountLimit

public static int getSeqCountLimit()

### getDefaultConfidence

public static float getDefaultConfidence()

### getSubmitDate

public Date getSubmitDate()

### setSubmitDate

public void setSubmitDate(Date date)

### getHierarchyVersion

public String getHierarchyVersion()

### getClassifierVersion

public String getClassifierVersion()

### getDepth

public String getDepth()

### setDepth

public void setDepth(String depthStr)

### getFloatConfidence

public float getFloatConfidence()

### getS1Total

public int getS1Total()

### getS2Total

public int getS2Total()

### getS1Filename

public String getS1Filename()

### getS2Filename

public String getS2Filename()

### getConfidence

public String getConfidence()

### setConfidence

public void setConfidence(String confidenceStr)

### getSeqErrorCount

public int getSeqErrorCount()

### getCurrentBrowserRoot

public ComparisonBrowserNode getCurrentBrowserRoot()

### setCurrentRoot

public void setCurrentRoot(String tax)

### setRoot

public void setRoot(ComparisonBrowserNode root)

### getLineageList

public Iterator getLineageList()

### getTabularTaxonList

public Iterator getTabularTaxonList()

### getChildTaxonList

public Iterator getChildTaxonList()

### getHierarchyTaxonList

public Iterator getHierarchyTaxonList()

### getDetailList

public Iterator getDetailList()

### getDetailListSize

public int getDetailListSize()

### setSeqErrorList

public void setSeqErrorList(List errorList)

### getSeqErrorList

public Iterator getSeqErrorList()